2003-07-22  Waldo Bastian                 

	* kioslave/http/kcookiejar/kcookiejar.cpp: Third time is a charm

2003-07-22  Laurent Montel                

	* kdecore/kdebug.areas: Backport kivio area

2003-07-22  Helge Deller                  

	* kabc/addresslineedit.cpp: backport bugfix: some LDAP servers
	  (e.g. MS Exchange) sometime returns commas inside names, (e.g.
	  "Deller, Helge" instead of "Helge Deller").  If this happens,
	  just put the name inside '"'.

2003-07-21  Dirk Mueller                  

	* admin/acinclude.m4.in: fix UIC detection for KDE 2.x projects.
	  Thanks for the patch. (backport revision 2.378)

2003-07-21  Dirk Mueller                  

	* configure.in.in: fix shape extension detection for solaris

2003-07-21  Waldo Bastian                 

	* kioslave/http/kcookiejar/kcookiejar.cpp: Attempt #2

2003-07-21  Rinse                         

	* kdoctools/customization/nl/user.entities: File updated

2003-07-21  Dirk Mueller                  

	* kdeui/kanimwidget.cpp: only emit clicked when we're still inside
	  the button. (backport revision 1.18)

2003-07-20  Waldo Bastian                 

	* kdeui/kbugreport.cpp: Only refer to http://bugs.kde.org if
	  bug-address is submit@bugs.kde.org

2003-07-20  Waldo Bastian                 

	* kdecore/kcmdlineargs.cpp: Only refer to http://bugs.kde.org if
	  bug-address is submit@bugs.kde.org

2003-07-20  Carsten Niehaus               

	* kdeui/klistview.h: fix typo

2003-07-18  George Staikos                

	* khtml/rendering/table_layout.cpp: backport fix for #61396

2003-07-18  Waldo Bastian                 

	* kioslave/http/kcookiejar/kcookiejar.cpp: Keep trailing slash

2003-07-18  Waldo Bastian                 

	* kioslave/http/kcookiejar/kcookiejar.cpp: Clean path.

2003-07-17  Ralf Nolden                   

	* debian/kdelibs4.install: fix kjs_html.* removal

2003-07-17  Waldo Bastian                 

	* kdeui/kfontdialog.cpp: Try very hard to match the font that was
	  passed with one that actually exists.

2003-07-17  Koos Vriezen                  

	* khtml/java/: kjava.jar,
	  org/kde/kjas/server/KJASProtocolHandler.java: Backport
	  'getArg(byte[]) isn't thread save; move it outside Thread.run'
	  only one case here

2003-07-16  Waldo Bastian                 

	* kinit/kinit.cpp: Handle X errors instead of dying on them.
	  (StartupInfo!!)

2003-07-16  Waldo Bastian                 

	* kinit/kinit.cpp: Restart KLauncher on crash.

2003-07-16  Ludovic Grossard              

	* kdoctools/customization/fr/user.entities: recoded to utf-8 and
	  fixed &quot;

2003-07-16  Dirk Mueller                  

	* khtml/rendering/render_root.cpp: break up cyclic dependency to
	  avoid endless relayouting.  CCMAIL: 54673-done@bugs.kde.org

2003-07-16  Dirk Mueller                  

	* admin/cvs.sh: don't copy permissions

2003-07-15  Koos Vriezen                  

	* khtml/java/: kjava.jar,
	  org/kde/kjas/server/KJASSwingConsole.java: Backport 'Don't add
	  text to the console window if it's not visible (even w/o debug,
	  some applets can print lots of text to stdout/stderr, making this
	  a huge memleak.' with a small change initial jvm identification
	  is append

2003-07-15  Dirk Mueller                  

	* interfaces/kscript/sample/shellscript.cpp,
	  interfaces/ktexteditor/blockselectiondcopinterface.h,
	  interfaces/ktexteditor/blockselectioninterface.cpp,
	  interfaces/ktexteditor/blockselectioninterface.h,
	  interfaces/ktexteditor/clipboarddcopinterface.h,
	  interfaces/ktexteditor/clipboardinterface.cpp,
	  interfaces/ktexteditor/codecompletioninterface.cpp,
	  interfaces/ktexteditor/codecompletioninterface.h,
	  interfaces/ktexteditor/configinterface.cpp,
	  interfaces/ktexteditor/configinterfaceextension.cpp,
	  interfaces/ktexteditor/configinterfaceextension.h,
	  interfaces/ktexteditor/cursorinterface.cpp,
	  interfaces/ktexteditor/documentdcopinfo.h,
	  interfaces/ktexteditor/documentinfo.cpp,
	  interfaces/ktexteditor/documentinfo.h,
	  interfaces/ktexteditor/dynwordwrapinterface.cpp,
	  interfaces/ktexteditor/editdcopinterface.h,
	  interfaces/ktexteditor/editinterface.cpp,
	  interfaces/ktexteditor/editorchooser.cpp,
	  interfaces/ktexteditor/editorchooser.h,
	  interfaces/ktexteditor/encodingdcopinterface.h,
	  interfaces/ktexteditor/encodinginterface.cpp,
	  interfaces/ktexteditor/highlightinginterface.cpp,
	  interfaces/ktexteditor/ktexteditor.cpp,
	  interfaces/ktexteditor/markinterface.cpp,
	  interfaces/ktexteditor/markinterfaceextension.cpp,
	  interfaces/ktexteditor/popupmenuinterface.cpp,
	  interfaces/ktexteditor/printdcopinterface.h,
	  interfaces/ktexteditor/printinterface.cpp,
	  interfaces/ktexteditor/searchdcopinterface.h,
	  interfaces/ktexteditor/searchinterface.cpp,
	  interfaces/ktexteditor/selectiondcopinterface.h,
	  interfaces/ktexteditor/selectionextdcopinterface.h,
	  interfaces/ktexteditor/selectioninterface.cpp,
	  interfaces/ktexteditor/sessionconfiginterface.cpp,
	  interfaces/ktexteditor/undodcopinterface.h,
	  interfaces/ktexteditor/undointerface.cpp,
	  interfaces/ktexteditor/viewcursordcopinterface.h,
	  interfaces/ktexteditor/viewcursorinterface.cpp,
	  interfaces/ktexteditor/viewstatusmsgdcopinterface.h,
	  interfaces/ktexteditor/viewstatusmsginterface.cpp,
	  interfaces/ktexteditor/wordwrapinterface.cpp,
	  kate/interfaces/document.h, kate/interfaces/interfaces.cpp,
	  kate/interfaces/view.h,
	  kate/plugins/insertfile/insertfileplugin.cpp,
	  kate/plugins/isearch/ISearchPlugin.cpp,
	  kate/plugins/kdatatool/kate_kdatatool.cpp,
	  kate/plugins/kdatatool/kate_kdatatool.h, kdecore/kbufferedio.cpp,
	  kdecore/kgenericfactory.h, kdecore/kgenericfactory.tcc,
	  kdecore/kkeyserver_x11.cpp, kdecore/ktypelist.h,
	  kdeprint/ext/kmextfactory.cpp,
	  kdeprint/lpdunix/kmlpdunixfactory.cpp,
	  kdeprint/lpr/klprfactory.cpp, kdeprint/management/kmmainview.cpp,
	  kdeprint/rlpr/kmrlprfactory.cpp,
	  kdeprint/tools/escputil/escpwidget.cpp, kdeui/kcolordialog.cpp,
	  kdeui/kedittoolbar.h, kdeui/kfontcombo.cpp, kdeui/klistview.cpp,
	  kdeui/kpassdlg.h, kdeui/kxmlguifactory_p.h, khtml/khtmlimage.cpp,
	  khtml/css/css_ruleimpl.h, khtml/css/cssproperties.c,
	  khtml/css/cssvalues.c, khtml/ecma/kjs_binding.h,
	  khtml/java/kjavaappletviewer.cpp,
	  khtml/kmultipart/kmultipart.cpp, khtml/misc/helper.cpp,
	  khtml/xml/dom2_rangeimpl.h, kio/kio/kurifilter.cpp,
	  kio/kio/paste.h, kio/kssl/kopenssl.cc, kio/kssl/ksslcallback.c,
	  kjs/function.cpp, kjs/interpreter.cpp, kjs/lookup.h: compile
	  fixes (gcc 3.4+)

2003-07-15  Dirk Mueller                  

	* kab/qconfigDB.h, kabc/addresseelist.h,
	  kabc/resourceconfigwidget.cpp, kdecore/kglobalaccel_x11.cpp,
	  kdecore/kkeyserver_x11.h, kdecore/kstdaccel.cpp,
	  kdefx/kstyle.cpp, kdeui/keditcl1.cpp, kdeui/knuminput.cpp,
	  kio/kio/kfilterdev.cpp, kio/kio/tcpslavebase.h,
	  kioslave/http/http.cc,
	  kioslave/http/kcookiejar/kcookieserver.cpp,
	  kparts/browserextension.cpp, kparts/dockmainwindow.cpp,
	  kparts/dockmainwindow.h, kparts/mainwindow.cpp,
	  kparts/mainwindow.h, kparts/part.cpp, kparts/partmanager.cpp,
	  kparts/plugin.h, kstyles/highcolor/bitmaps.h,
	  kstyles/kthemestyle/kthemestyle.cpp, libkmid/alsaout.cc,
	  libkmid/libkmid.cc, libkmid/midiout.cc, libkscreensaver/main.cpp:
	  unbreak compilation (gcc 3.4+)

2003-07-15  Dirk Mueller                  

	* kabc/vcard/Enum.cpp: isn't it nice that kabc has its own fork of
	  kdecore?

2003-07-15  Dirk Mueller                  

	* admin/acinclude.m4.in: refuse to build with Qt 3.2.x

2003-07-15  Dirk Mueller                  

	* kio/kfile/kurlrequester.cpp: fix compil

2003-07-14  Benjamin Meyer                

	* kdeui/kfontcombo.h: Backport from HEAD. (hope I made it in
	  time...)

2003-07-14  Dirk Mueller                  

	* khtml/html/htmlparser.cpp: fix logic

2003-07-13  John Firebaugh                

	* kdeui/klistview.cpp: Unbreak multi-item drags with qt 3.2
	  (backport revision 1.202)

2003-07-13  Bernhard Rosenkraenzer        

	* kdeprint/management/smbview.cpp: Use nmblookup -M -- - instead of
	  nmblookup -M - to make samba 3.0 happy (In 2.x, the -- is
	  optional but accepted, in 3.0 it's required)

2003-07-13  Dirk Mueller                  

	* kdelibs.lsm, admin/cvs.sh, kdecore/kdeversion.h: KDE 3.1.3

2003-07-13  Ben Burton                    

	* debian/: changelog, control: Updated to reflect LaMont's NMU.

2003-07-12  Laurent Montel                

	* kdecore/kdebug.areas: Backport karbon area

2003-07-12  Laurent Montel                

	* kdecore/kdebug.areas: Backport debug area

2003-07-11  Gaute Hvoslef Kvalnes         

	* kdoctools/customization/nn/entities/install-compile.docbook: Typo

2003-07-10  Koos Vriezen                  

	* khtml/java/: kjava.jar,
	  org/kde/kjas/server/KJASAppletContext.java,
	  org/kde/kjas/server/KJASAppletStub.java,
	  org/kde/kjas/server/KJASBrokenClassFixer.java: Backport - Fix for
	  checking wrong argument for null + Oops - catch Applet.destroy
	  exceptions - fix for SUN renaming javaplugin.jar to plugin.jar
	  (bug #59641)

2003-07-10  Dirk Mueller                  

	* kio/kio/job.cpp: don't crash.

2003-07-10  Waldo Bastian                 

	* khtml/: khtml_part.cpp, khtml_part.h, html/html_documentimpl.cpp:
	  Don't leak username/password via document.referrer()

2003-07-10  Gaute Hvoslef Kvalnes         

	* kdoctools/customization/nn/entities/: help-menu.docbook,
	  install-compile.docbook, install-intro.docbook: These should be
	  in UTF-8

2003-07-09  Waldo Bastian                 

	* kio/kio/kservice.cpp: Don't leak

2003-07-09  Dawit Alemayehu               

	* kio/kio/http_slave_defaults.h: - Make the default Accept header
	  give preference to text/html over any other	text/* type.

2003-07-09  Waldo Bastian                 

	* kdesu/su.cpp: Look in path if su can't be found in configured
	  location. (BR60883)

2003-07-09  Benjamin Meyer                

	* kdecore/kapplication.cpp: As pointed out to me QTabWidget, not
	  QTabBar would be used.

2003-07-09  Benjamin Meyer                

	* kdecore/kapplication.cpp: Added QTabBar which is missing in Qt,
	  backport from head

2003-07-09  Benjamin Meyer                

	* kdewidgets/kde.widgets: Backport addition of widgets that already
	  existed in 3.1

2003-07-08  Waldo Bastian                 

	* kioslave/http/http.cc: * Bounce referrer back to application *
	  Let stat() return what the application wants to hear. (BR60904)

2003-07-08  Ingo Kl枚cker                 

	* pics/crystalsvg/: cr16-action-halfencrypted.png,
	  cr22-action-halfencrypted.png, cr32-action-halfencrypted.png:
	  Make the look of the halfencrypted icons consistent with the look
	  of the encrypted/decrypted icons

2003-07-07  Laurent Montel                

	* kdecore/kdebug.areas: Backport debug area for "lib kospell"

2003-07-07  George Staikos                

	* kdeui/kmainwindow.cpp: revert last

2003-07-07  Scott Wheeler                 

	* kstyles/keramik/keramik.cpp: Me typing, Maks thinking.  I have a
	  rendering bug that he couldn't reproduce and this is the quick
	  fix.

2003-07-07  George Staikos                

	* kdeui/kmainwindow.cpp: backport fix for saving statusbar state
	  with autosave

2003-07-05  John Firebaugh                

	* kio/kio/kfileitem.cpp: Backport last part of fix for 54196.

	  CCMAIL: 54196-done@bugs.kde.org

2003-07-04  John Firebaugh                

	* kdecore/kwinmodule.cpp: Backport revisions 1.53 and 1.54

2003-07-04  George Staikos                

	* kdeui/kaboutkde.cpp: markup fix

2003-07-04  Dirk Mueller                  

	* kparts/componentfactory.h: fix compilation

2003-07-04  Waldo Bastian                 

	* kioslave/http/http.cc: * Unbreak compilation * Sanitize referrer

2003-07-03  Dirk Mueller                  

	* khtml/misc/loader.cpp: don't send username / password in Referrer
	  (#60479) (backport revision 1.148)

2003-07-03  George Staikos                

	* kio/kio/davjob.cpp: backport webdav fix

2003-07-03  George Staikos                

	* khtml/khtml_part.cpp: backport partial fix for 60479

2003-07-03  Benjamin Meyer                

	* kdecore/kapplication.cpp, kdeui/kpassdlg.h,
	  kio/kfile/kurlrequester.h: Backport of Q_PROPERY SQL fixes from
	  HEAD

2003-07-03  George Staikos                

	* interfaces/kio/http.h, kioslave/http/http.cc: backport webdav
	  auth fix by Laurence Anderson [untested by me] CCMAIL:
	  l.d.anderson@warwick.ac.uk

2003-07-03  Maks Orlovich                 

	* kstyles/keramik/keramik.cpp: Backport fixes to
	  PE_DockWindowSeparator, as well as Qt3.2b2 compat, and tweaks to
	  CE_DockWindowEmptyArea. (Plus speling and warning fixes)

2003-07-03  Dawit Alemayehu               

	* kparts/browserrun.cpp: - Backport: Send the suggested filename
	  along with the URL, when the	 download manager is used.

2003-07-01  Stephan Binner                

	* khtml/xml/dom2_eventsimpl.cpp: Fixed
	  TextEventImpl::checkModifier(), obviously unused since KDE 3.0
	  Alpha

2003-07-01  David Faure                   

	* khtml/xml/dom_elementimpl.cpp: Backport from HEAD: all existing
	  attributes are "specified".

2003-07-01  David Faure                   

	* khtml/dom/dom_element.cpp: Don't crash in setPrefix(null string)

2003-07-01  David Faure                   

	* khtml/Makefile.am: fix test_regression build

2003-07-01  David Faure                   

	* khtml/xml/dom_docimpl.cpp: Backport from HEAD: don't crash
	  importNode when giving it a null node.  (Found thanks to PMK's
	  regression testing framework)

2003-06-30  Aaron J. Seigo                

	* kdeui/keditcl2.cpp: backport of fix for BR#58446, "find next not
	  working"

2003-06-30  David Faure                   

	* khtml/xml/: dom_elementimpl.cpp, dom_elementimpl.h: Prefix 3
	  member vars with m_ to make the code more readable and a bit more
	  in sync with HEAD.

2003-06-30  David Faure                   

	* khtml/: dom/dom_element.cpp, xml/dom_elementimpl.cpp,
	  xml/dom_elementimpl.h, xml/dom_nodeimpl.h: Better fix for
	  removeAttributeNode as advised by Peter Kelly.  This fixes 2 more
	  DOMTS failures.  Separate fix: don't throw INUSE_ATTRIBUTE_ERR if
	  calling setAttributeNode on the attribute-node's parent element
	  itself (hc_elementreplaceattributewithself test).

2003-06-30  Stephan Kulow                 

	* kdecore/klocale.cpp: backported support for Macedonian plural

2003-06-29  Helge Deller                  

	* arts/knotify/knotify.cpp,
	  interfaces/ktexteditor/editorchooser.cpp, kabc/kab2kabc.cpp,
	  kabc/resourcefile.cpp, kabc/resourcefileconfig.cpp,
	  kabc/plugins/dir/resourcedir.cpp,
	  kabc/plugins/dir/resourcedirconfig.cpp,
	  kabc/plugins/net/resourcenet.cpp,
	  kabc/plugins/net/resourcenetconfig.cpp,
	  kate/part/katedocument.cpp, kdecore/kapplication.cpp,
	  kdecore/kcharsets.cpp, kdecore/kdebug.cpp,
	  kdecore/kdesktopfile.cpp, kdecore/kglobalsettings.cpp,
	  kdecore/kicontheme.cpp, kdecore/knotifyclient.cpp,
	  kdecore/ksocks.cpp, kdeprint/kmmanager.cpp,
	  kdeprint/kmspecialmanager.cpp, kdeprint/kprinter.cpp,
	  kdeprint/kprintpreview.cpp, kdeprint/cups/kmconfigcupsdir.cpp,
	  kdeprint/cups/kmcupsmanager.cpp, kdeprint/lpd/kmlpdmanager.cpp,
	  kdeprint/management/kmconfiggeneral.cpp,
	  kdeprint/management/kmconfigpreview.cpp,
	  kdeui/tests/kdockwidgetdemo.cpp, khtml/khtml_ext.cpp,
	  khtml/ecma/kjs_navigator.cpp, khtml/java/kjavaappletserver.cpp,
	  kio/bookmarks/kbookmarkimporter.cc,
	  kio/kfile/kcustommenueditor.cpp, kio/kfile/kdirselectdialog.cpp,
	  kio/kfile/kfiledialog.cpp, kio/kfile/knotifydialog.cpp,
	  kio/kfile/kopenwith.cpp, kio/kfile/kpropertiesdialog.cpp,
	  kio/kfile/krecentdirs.cpp, kio/kio/kimageio.cpp,
	  kio/kio/kmimetype.cpp, kio/kio/kprotocolinfo.cpp,
	  kio/kio/kprotocolmanager.cpp, kio/kio/krun.cpp,
	  kio/kio/kservice.cpp, kio/kssl/kopenssl.cc,
	  kio/kssl/ksslsettings.cc, kioslave/http/http.cc,
	  kparts/browserrun.cpp, libkmid/deviceman.cc: backport only the
	  readPathEntry() and readPathListEntry() changes from HEAD

2003-06-29  Dawit Alemayehu               

	* kio/kio/kprotocolmanager.cpp: Backport the code cleanup in
	  proxyFor.(DA)

2003-06-29  Dawit Alemayehu               

	* kio/kio/kprotocolmanager.cpp: - Backport the ability to add
	  host:port to the no-proxy for list. (DA)

2003-06-28  Simon Hausmann                

	* kded/kbuildsycoca.cpp: - quick! before pmax catches me   (return
	  0 at the end of main)

2003-06-28  Helge Deller                  

	* kdecore/kconfigbase.cpp: backport from HEAD: next try to get
	  roaming home directory right

2003-06-27  David Faure                   

	* khtml/: dom/dom_element.cpp, dom/dom_node.cpp,
	  xml/dom_elementimpl.cpp, xml/dom_elementimpl.h,
	  xml/dom_nodeimpl.h: No regression in DOMTS -> I think this
	  version of the removeAttributeNode fix is correct. Fixes
	  hc_elementremoveattributenode.html (attribute value was null
	  after removing the attribute). Still 10 errors and 38 failures...

2003-06-27  David Faure                   

	* khtml/: dom/dom_element.cpp, xml/dom_elementimpl.h: Two fixes for
	  DOMTS hc_elementremoveattributeaftercreate: * Set ownerElement in
	  the attribute node after a successful setAttributeNode() * Make
	  removeAttributeNode work (it was confusing attr id with tag id
	  (0))

2003-06-27  David Faure                   

	* khtml/: html/html_documentimpl.cpp, xml/dom_docimpl.cpp,
	  xml/dom_docimpl.h: Allow an HTML document to create an element
	  named "foobar" or whatever, i.e. an XML element. This fixes the
	  various "DOM exception 8" in the DOM TestSuite.

2003-06-27  Dirk Mueller                  

	* libltdl/ltdl.c: fix compiler warning (#51629) (backport revision
	  1.24)

2003-06-27  George Staikos                

	* arts/kde/kvideowidget.cpp: apply the patch that was attached to
	  54318 over 4 months ago

2003-06-26  George Staikos                

	* khtml/css/cssparser.cpp: Fix crash on indi.wu-wien.ac.at CCMAIL:
	  58763-done@bugs.kde.org

2003-06-26  Dirk Mueller                  

	* khtml/misc/loader_jpeg.cpp: memcpy -> memmove, as those have
	  overlapping regions (backport revision 1.12)

2003-06-26  George Staikos                

	* kio/kio/: kfileitem.cpp, krun.cpp: backport two patches by
	  dfaure:

	  Stop startup notification immediately when trying to run an
	  executable that doesn't exist (e.g. from a konq servicemenu)

	  AND

	  Speedup for KFileItems around local files not coming from KIO: if
	  we stat() on init, then store the mtime and atime instead of
	  stat()ing again later.

	  Fix for non-existing files: check return value from KDE_stat to
	  avoid returning random data as their time.

	  CCMAIL: faure@kde.org

2003-06-26  George Staikos                

	* kdecore/kiconloader.cpp: backport leak fix

2003-06-26  George Staikos                

	* khtml/khtml_part.cpp: backport crash fix - don't let data come in
	  during begin() to avoid re-entrancy problems

2003-06-26  David Faure                   

	* khtml/xml/dom_nodeimpl.cpp: Fix for getElementByTagName[TS], to
	  support "*" in localname and namespaceuri.  Dirk said the patch
	  looked okay to him. The issue of the id==0 check in tagId()
	  remains though (see kfm-devel).

2003-06-25  David Faure                   

	* khtml/: html/html_documentimpl.cpp, html/html_documentimpl.h,
	  xml/dom_docimpl.cpp, xml/dom_docimpl.h: Fix for
	  hc_documentinvalidcharacterexceptioncreateelement.html from the
	  DOMTS: also check for invalid names in createHTMLElement.

2003-06-25  Waldo Bastian                 

	* kio/kio/: kdirlister.cpp, kdirlister.h, kdirlister_p.h: Backport
	  of all kdirlister changes up to and including r1.165

2003-06-25  Maks Orlovich                 

	* kstyles/keramik/keramik.cpp: Combo changes - Only double buffer
	  when we're in the toolbar mode. Otherwise, we're very fast
	  anyway; so that's just a complicating waste (Especially since
	  QSharedDoubleBuffer isn't public API :-( ); it's only when some
	  toolbar combos (aka Konq's) force us to turn on every possible
	  rendering option there is we need this.  - When double-buffering,
	  enable clipping. Otherwise, we may end up painting over regions
	  the label code would not touch as it is clipped to the paint
	  rectangle. This fixes the slow-scrolling-causes-disappearing-
	  labels bug Dirk reported; except the first change bypasses that
	  code path for form widgets anyway.

2003-06-25  Dirk Mueller                  

	* khtml/html/html_formimpl.cpp: backport 1.326

2003-06-25  David Faure                   

	* khtml/html/: html_formimpl.cpp, html_formimpl.h,
	  html_imageimpl.cpp, html_imageimpl.h, html_miscimpl.cpp,
	  html_miscimpl.h, htmlparser.cpp: Backport fix for #26196.

2003-06-24  David Faure                   

	* khtml/: Makefile.am, khtml_part.cpp, css/cssparser.cpp,
	  dom/dom_doc.cpp, dom/dom_element.cpp, ecma/Makefile.am,
	  html/html_documentimpl.cpp, html/html_documentimpl.h,
	  html/htmltokenizer.h, xml/dom_docimpl.cpp, xml/dom_docimpl.h,
	  xml/dom_elementimpl.cpp, xml/dom_elementimpl.h,
	  xml/dom_nodeimpl.cpp, xml/xml_tokenizer.cpp: The DOM spec (and
	  testsuite) requires that createElement and createAttribute (and
	  the "NameSpace" versions of those) check that the name is a valid
	  name acording to the XML spec, and throw INVALID_CHARACTER_ERR if
	  not.

	  For exception catching to work in kjs_binding, I also had to
	  change dlopening into direct linkage to ecma/*, as we did in HEAD
	  for the same reason.

2003-06-24  Waldo Bastian                 

	* kparts/part.cpp: Make saving remote files during shutdown work.
	  (BR55244)

2003-06-24  Helge Deller                  

	* kdecore/kconfigbase.cpp: backport

2003-06-24  Helge Deller                  

	* kdecore/kconfigbase.cpp: backport from HEAD

2003-06-24  Waldo Bastian                 

	* kio/kio/kdirwatch.cpp: The fact that KDirWatchPrivate gets
	  deleted might also mean that it can get created more than once.
	  Better not call ourselves from our signal handler // don't leak
	  fd's.

2003-06-24  Waldo Bastian                 

	* kio/kio/kdirwatch.cpp: Don't crash in the signal handler after
	  dwp_self got deleted.

2003-06-24  David Faure                   

	* khtml/xml/dom_textimpl.cpp: Backport rev 1.94: Check for negative
	  count value in substringData(), deleteData() and replaceData().
	  Fixes crash on characterdataindexsizeerrdeletedatacountnegative
	  in dom 1 core test suite.

2003-06-24  Waldo Bastian                 

	* kio/kio/passdlg.cpp: Improve layout of text (BR32225)
	  32225-done@bugs.kde.org

2003-06-24  Dave Corrie                   

	* kate/part/kateviewinternal.cpp: making shift + backspace work
	  like backspace

2003-06-24  Dirk Mueller                  

	* khtml/misc/loader.h: backport double deletion guard. the code
	  triggering it doesn't exist here, but better be safe than sorry

2003-06-24  Aaron J. Seigo                

	* kdeui/ksystemtray.cpp: backport of the "don't crash even if the
	  developer decides to violate the styleguide" fix

2003-06-24  Helge Deller                  

	* kdecore/kconfigbase.cpp: backport: roaming patch: pick
	  "/home/username" as well as "/home/username/"

2003-06-23  Dirk Mueller                  

	* khtml/misc/: loader.cpp, loader.h: backported patch for #54371.

2003-06-23  Dirk Mueller                  

	* Makefile.am.in, admin/cvs.sh, admin/detect-autoconf.sh: require
	  automake 1.6

2003-06-22  Helge Deller                  

	* kdecore/: kconfigbase.cpp, kconfigbase.h: backported
	  writePathEntry(pKey,QStringList()) and QStringList()
	  readPathListEntry(pKey) from HEAD

2003-06-22  Dirk Mueller                  

	* khtml/xml/dom_nodeimpl.cpp: make sure we detach removed nodes
	  during fragmenting from the document immediately CCMAIL:
	  54780-done@bugs.kde.org

2003-06-22  Maks Orlovich                 

	* kstyles/keramik/: gradients.cpp, gradients.h, keramik.cpp:
	  Backport: -Fix a leak in gradient cache (thankfully not hit in
	  regular use) -Better weird-case handling in the gradient cache
	  -Dump gradient cache on destruction -Make extenders
	  pixel-perfrect. finally.

2003-06-21  David Faure                   

	* khtml/ecma/: kjs_dom.cpp, kjs_dom.lut.h: DOMAttr:value isn't
	  readonly

2003-06-21  Carsten Pfeiffer              

	* kio/kfile/kfileiconview.cpp: backport disconnect() fix

2003-06-21  John Firebaugh                

	* kdecore/: kkeynative.h, kkeynative_x11.cpp: Backport:

	  I need these publicly available. Feel free to blame me the day
	  KDE runs on something else then X11.

2003-06-21  John Firebaugh                

	* kate/plugins/isearch/: ISearchPlugin.cpp, ISearchPlugin.h: Sync
	  with HEAD

2003-06-21  John Firebaugh                

	* kparts/: part.cpp, part.h: Backport queryClose() functionality

2003-06-21  John Firebaugh                

	* kate/part/kateviewinternal.cpp: Restore autohide functionality

2003-06-21  John Firebaugh                

	* kdeui/: kcursor.cpp, kcursor_private.h: Backport autohide rewrite

2003-06-21  Dirk Mueller                  

	* khtml/html/html_documentimpl.cpp: safari merge: don't render a
	  page when a fast redirection is pending (backport revision 1.150)

2003-06-20  Carsten Pfeiffer              

	* kio/kfile/knotifydialog.cpp: backport fix for #60076

2003-06-20  Helge Deller                  

	* kdecore/kconfigbase.cpp: backport from head (fix relative paths
	  when writing with writePathEntry)

2003-06-20  Helge Deller                  

	* kdecore/kconfigbase.cpp: backport from HEAD: ensure when using
	  writePathEntry(), that URLs like e.g. "http:/x.y.com" will not be
	  prepended with "$HOME/"

2003-06-20  Maks Orlovich                 

	* kstyles/keramik/: keramik.cpp, pixmaploader.cpp,
	  pics/combobox-list-bc.png, pics/combobox-list-bl.png,
	  pics/combobox-list-br.png, pics/combobox-list-cl.png,
	  pics/combobox-list-cr.png: Backport fixes from HEAD: - Major
	  gradient alignment rework -- fixes widgets on floating toolbars,
	  problem with flat toolbars and half-mile off, but thankfully
	  modulo a small value imprecisions in calculations for extenders.
	  - Adjust the combo dropdown pixmaps a bit to make it possible to
	  use the more efficient tiling mode (and use it) - Properly layout
	  handles for sliders given less room than they'd like - cg.mid()
	  tab terminator (not cg.dark()) - Fix double separator line on
	  active tab's right - Make PE_FocusRect honor bg color hint -
	  smoothScale and not scale images; looks better, and the cache
	  structure is good enough so we almost never scale, so this is not
	  a performance worry.	(Thanks to Pascal Letourneau for these two
	  changes)

2003-06-20  Maks Orlovich                 

	* kstyles/keramik/: Makefile.am, colorutil.cpp, colorutil.h,
	  genembed.cpp, gradients.cpp, gradients.h, keramik.cpp, keramik.h,
	  pixmaploader.cpp, pixmaploader.h: "Backport" the renderer
	  commenting, gcc-3.4 namespace trailing ; warning fixes, and
	  whitespace noise to give me a cleaner diff for proper merging
	  (and in general to keep the two branches closer together)

2003-06-19  Dirk Mueller                  

	* khtml/khtml_part.cpp: - unbreak progress bar (backport revision
	  1.860)

2003-06-19  Dirk Mueller                  

	* khtml/ecma/kjs_window.cpp: case insensitive frame name, based on
	  patch by Ralf Hoelzer (backport revision 1.340)

2003-06-18  Koos Vriezen                  

	* khtml/ecma/kjs_html.cpp: backport 'allow shortcuts like
	  'document.Applet1' instead of document.applets.Applet1'

2003-06-18  Dirk Mueller                  

	* khtml/misc/loader_jpeg.cpp: enable fancy upsampling again,
	  because otherwise people think that Konqueror is buggy. (backport
	  revision 1.11)

2003-06-18  Waldo Bastian                 

	* khtml/khtml_ext.cpp: saveURL: try harder to use cached data

2003-06-17  Koos Vriezen                  

	* khtml/html/html_objectimpl.cpp: Backport Oswald variant of 'Strip
	  of a possible '-plugin' postfix'

2003-06-17  Waldo Bastian                 

	* kdecore/kdesktopfile.cpp: KIOSK fixes: * run_desktop_files too
	  restrictive * no testing on certain restrictions in combination
	  with TryExec

2003-06-17  Dirk Mueller                  

	* kdecore/kapplication.cpp: Allow rtsp:// mms:// redirects
	  (backport revision 1.594)

2003-06-16  Waldo Bastian                 

	* kioslave/http/kcookiejar/kcookiejar.cpp: CCMAIL:
	  58578-done@bugs.kde.org Unbreak secure cookies. Patch by Gerhard
	  Dirschl

2003-06-16  Waldo Bastian                 

	* kdecore/: kextsock.cpp, ksocks.cpp, ksocks.h, kstandarddirs.cpp:
	  Dante socks doesn't reliably support async connections

2003-06-15  Maks Orlovich                 

	* kstyles/kthemestyle/kthemestyle.cpp: Backport fix for #58242

2003-06-12  Waldo Bastian                 

	* kdecore/ksocks.cpp: Don't delete ksocks on exit, it causes
	  crashes when used with Dante socks, even with klibloader.cpp
	  r1.61.

2003-06-12  George Staikos                

	* kdecore/kstandarddirs.cpp: backport memleak fix by Christian
	  Loose

2003-06-12  George Staikos                

	* khtml/ecma/: kjs_html.cpp, kjs_html.lut.h: backport fix for
	  aircanada.ca (new attribute status for checkbox/radio button)

2003-06-11  Waldo Bastian                 

	* kio/kio/: slavebase.cpp, slaveinterface.cpp: Signal handler
	  fixes: * Don't deadlock on crashes * Make sure the signal handler
	  remains around after the first signal.  (By using sigaction
	  instead of signal)

2003-06-10  Kim Enkovaara                 

	* kdoctools/customization/fi/: strings.entities, user.entities,
	  entities/fdl-notice.docbook, entities/underFDL.docbook,
	  entities/underGPL.docbook: Finnish customizations to get first
	  translations in documentation to work.  These need some
	  additional work, but this is the first cut.

2003-06-09  Dirk Mueller                  

	* kdecore/knotifyclient.cpp: don't start knotify more than once.
	  when it crashes, its annoying to (backport revision 1.51)

2003-06-09  Charles Samuels               

	* kdeui/klistview.cpp: backport the last fix

2003-06-07  Dirk Mueller                  

	* khtml/misc/loader.h: fix moc warning

2003-06-06  Dirk Mueller                  

	* kio/kfile/kimagefilepreview.h, dcop/dcoptypes.h,
	  kdecore/Makefile.am, kdecore/kgenericfactory.tcc, kdecore/kipc.h,
	  kdecore/kshortcutlist.h, kdeui/kdockwidget_p.h,
	  kio/kio/kurifilter.h: fix make bcheck

2003-06-06  Dirk Mueller                  

	* kio/kssl/ksslsigners.h: fix make bcheck

2003-06-06  Dirk Mueller                  

	* kdeui/kactionshortcutlist.h: better

2003-06-06  Dirk Mueller                  

	* kdeui/: kactionshortcutlist.h, kpixmapio.h, ksharedpixmap.h: fix
	  bcheck

2003-06-05  Waldo Bastian                 

	* kdecore/kuniqueapplication.cpp: Delay newInstance call as long as
	  DCOP processing is disabled.

2003-06-04  Anders Lund                   

	* kate/data/php.xml: adding folding regions for multiline PHP
	  comments fixes 59318

2003-06-03  Waldo Bastian                 

	* kdecore/kurl.cpp: Try to preserve user/password info from
	  base-url when constructing url from (base-url, absolute-url)

2003-06-02  Dirk Mueller                  

	* khtml/khtmlview.cpp: ignore events that shouldn't being sent to
	  the khtmlview (appears to be a Qt bug, works with Qt 3.2.x)

2003-06-01  Gaute Hvoslef Kvalnes         

	* kdoctools/customization/nn/user.entities: Updates from H鍁ard
	  Korsvoll

2003-05-31  Dirk Mueller                  

	* kdecore/klibloader.h: fix compiler warning

2003-05-31  Dirk Mueller                  

	* khtml/: khtmlview.cpp, html/html_formimpl.cpp: backports from
	  HEAD

2003-05-30  Dirk Mueller                  

	* kdecore/: kentities.c, kentities.gperf: backport ndash / mdash

2003-05-30  Oswald Buddenhagen            

	* kdecore/: kmacroexpander.cpp, kmacroexpander.h: backporting on
	  request from dirk and gis.

2003-05-30  Carsten Pfeiffer              

	* kdeui/kmessagebox.cpp: fix UMR

2003-05-29  Thiago Macieira               

	* kdecore/: kextsock.cpp, kextsock.h: Backport of the fix to bug
	  #59100 to the 3.1 branch.

	  CCMAIL:59100@bugs.kde.org

2003-05-29  George Staikos                

	* kio/kssl/ksslx509map.cc: beautify this code a bit

2003-05-29  Waldo Bastian                 

	* kio/kio/kdirlister.cpp: check for d->rootFileItem being non-NULL.
	  (backport)

2003-05-27  Stephan Kulow                 

	* admin/: acinclude.m4.in, cvs.sh: backporting the head/tail -n fix
	  backporting the python 2.3 check (it's coming closer to beta :)

2003-05-27  Stephan Kulow                 

	* kdeui/kdialog.cpp: seems, qt 3.2 doesn't define QLayout in that
	  header anymore

2003-05-27  George Staikos                

	* kio/: kio/tcpslavebase.cpp, misc/kssld/kssld.cpp: Fix #58991

	  I don't quite like the cache anymore.  I should rework it to
	  store by md5sum instead of by subject probably.  That would have
	  avoided this bug.

2003-05-26  George Staikos                

	* khtml/khtml_part.cpp: another possible crash, fix from Georg
	  Robbers

2003-05-26  Harri Porten                  

	* dcop/kdatastream.h: merging the fix for streaming of negative
	  numbers

2003-05-26  George Staikos                

	* khtml/khtml_ext.cpp: backport fix for #58387

2003-05-26  George Staikos                

	* khtml/khtml_part.cpp: CCMAIL: 58946-done@bugs.kde.org

	  Don't crash

2003-05-24  Waldo Bastian                 

	* kioslave/http/http.cc: Solved the mystery of konqy doing double
	  GET requests: The first one was for http://www.kde.org, and the
	  second one for http://www.kde.org/ (Thanks to Adwa for
	  discovering this) We now redirect immediately to prevent this
	  kind of confusion.

2003-05-24  Dirk Mueller                  

	* kdecore/kapplication.cpp: fix info: protocol (backport revision
	  1.588)

2003-05-21  Lubo拧 Lu艌谩k                

	* kdecore/kwinmodule.cpp: Backport r1.52.

2003-05-21  Lubo拧 Lu艌谩k                

	* kdeui/ksystemtray.cpp: Backport - no need for faked FocusIn hack
	  with Qt3.2.

2003-05-20  Waldo Bastian                 

	* kioslave/http/http.cc: Don't bother the user with non-important
	  warnings.

2003-05-20  Waldo Bastian                 

	* khtml/khtml_part.cpp: Don't set password in title. (BR57366)

2003-05-20  George Staikos                

	* khtml/rendering/render_form.cpp: backport: fix <textarea>
	  vertical size calculation, to fix the marvin 404 handler at
	  http://www.gcfl.net/pub/FreeDOS/kernel

2003-05-20  George Staikos                

	* kdeprint/cups/: cupsaddsmb2.cpp, kcupsprinterimpl.cpp,
	  kmcupsjobmanager.cpp, kmcupsmanager.cpp: backport: 1) Use always
	  the configured username, do not force to use the real login name
	  (bug #58427) 2) Do not connect to remote servers anymore for
	  remote printers: send all requests to the configured host. This
	  has drawbacks and advantages.      drawbacks		- feature
	  loss regarding job management on remote printers: the user should
	  only see active jobs issued from his own CUPS server
	  advantages	      - avoid the problem of local connection not
	  being made as real local connections		- the ugly hack of
	  George should not be needed anymore (the one that triggered a bug
	  in KExtendedSocket)	       - all observed freezing bug should
	  disappear as usually the configured host is "localhost", and the
	  connect call should not timeout anymore

2003-05-20  George Staikos                

	* khtml/khtml_part.cpp: backport: Patch by Pascal Letourneau to
	  avoid security warnings when MMB-pasting a new url.

2003-05-20  George Staikos                

	* kio/kio/previewjob.cpp: backport fix for #56316

2003-05-20  George Staikos                

	* kdecore/kshortcutmenu.cpp: backport fix for #55139

2003-05-20  Carsten Pfeiffer              

	* kio/kfile/kurlbar.cpp: backport #58693

2003-05-19  Chris Cheney                  

	* debian/: changelog, control, patches/xlibs-pic.diff: debian
	  packaging updates for kdelibs 3.1.2-2

2003-05-19  David Faure                   

	* kdeui/ktoolbarbutton.cpp: Backport 1.70: Use startDragTime()
	  instead of hardcoded 500. BTW startDragTime defaults to 500 too.
	  CCMAIL: ojschmidt@kde.org

2003-05-19  Michael Goffioul              

	* kdeprint/cups/cupsdconf2/cupsdconf.cpp: Backport: do not use
	  localhost as default ServerName to avoid breaking LAN browsing
	  (bug #48230)

2003-05-19  Stephan Kulow                 

	* admin/acinclude.m4.in: backport patch from Oswald

2003-05-19  Stephan Kulow                 

	* kdecore/kiconloader.cpp: avoid the bitblt warning in the branch
	  too

2003-05-19  Stephan Kulow                 

	* dcop/kdatastream.h: backport the #ifdef for Qt 3.2. Then at least
	  3_1_BRANCH compiles against it.

2003-05-18  Dirk Mueller                  

	* khtml/: khtml_events.h, khtml_ext.h, khtml_factory.cpp,
	  khtml_factory.h, khtml_pagecache.h, khtml_part.cpp, khtml_part.h,
	  khtml_run.h, khtmlimage.h, khtmlpart_p.h, khtmlview.h,
	  css/css_stylesheetimpl.h, css/css_valueimpl.cpp,
	  css/css_valueimpl.h, css/csshelper.h, css/cssparser.h,
	  css/cssstyleselector.h, dom/css_rule.h, dom/css_stylesheet.h,
	  dom/css_value.h, dom/dom2_events.h, dom/dom2_range.h,
	  dom/dom2_traversal.cpp, dom/dom2_traversal.h, dom/dom2_views.h,
	  dom/dom_doc.h, dom/dom_element.h, dom/dom_exception.h,
	  dom/dom_misc.h, dom/dom_node.h, dom/dom_string.h, dom/dom_text.h,
	  dom/dom_xml.h, dom/html_base.h, dom/html_block.h,
	  dom/html_document.h, dom/html_element.h, dom/html_form.h,
	  dom/html_head.h, dom/html_image.h, dom/html_inline.h,
	  dom/html_list.h, dom/html_misc.h, dom/html_object.h,
	  dom/html_table.h, ecma/kjs_binding.h, ecma/kjs_css.h,
	  ecma/kjs_css.lut.h, ecma/kjs_dom.h, ecma/kjs_dom.lut.h,
	  ecma/kjs_events.h, ecma/kjs_events.lut.h, ecma/kjs_html.h,
	  ecma/kjs_html.lut.h, ecma/kjs_navigator.cpp,
	  ecma/kjs_navigator.h, ecma/kjs_navigator.lut.h, ecma/kjs_proxy.h,
	  ecma/kjs_range.h, ecma/kjs_range.lut.h, ecma/kjs_traversal.h,
	  ecma/kjs_traversal.lut.h, ecma/kjs_views.h, ecma/kjs_views.lut.h,
	  ecma/kjs_window.cpp, ecma/kjs_window.h, ecma/kjs_window.lut.h,
	  html/html_baseimpl.h, html/html_blockimpl.h,
	  html/html_documentimpl.h, html/html_elementimpl.h,
	  html/html_formimpl.h, html/html_headimpl.h,
	  html/html_imageimpl.h, html/html_inlineimpl.h,
	  html/html_listimpl.h, html/html_miscimpl.h,
	  html/html_objectimpl.h, html/html_tableimpl.h, html/htmlparser.h,
	  html/htmltokenizer.h, misc/decoder.h, misc/helper.h,
	  misc/htmlhashes.h, misc/khtmllayout.h, misc/loader_client.h,
	  misc/shared.h, misc/stringit.h, rendering/bidi.h,
	  rendering/break_lines.cpp, rendering/break_lines.h,
	  rendering/font.h, rendering/render_applet.h,
	  rendering/render_body.h, rendering/render_box.h,
	  rendering/render_br.h, rendering/render_container.h,
	  rendering/render_flow.h, rendering/render_form.h,
	  rendering/render_frames.h, rendering/render_html.h,
	  rendering/render_image.h, rendering/render_list.h,
	  rendering/render_object.h, rendering/render_replaced.h,
	  rendering/render_root.h, rendering/render_table.h,
	  rendering/render_text.h, rendering/table_layout.h,
	  xml/dom2_eventsimpl.h, xml/dom2_traversalimpl.h,
	  xml/dom2_viewsimpl.h, xml/dom_docimpl.h, xml/dom_elementimpl.h,
	  xml/dom_nodeimpl.h, xml/dom_stringimpl.h, xml/dom_textimpl.h,
	  xml/dom_xmlimpl.h, xml/xml_tokenizer.h: gcc 3.4 compiler warnings
	  cleanup

2003-05-18  Anders Lund                   

	* kate/part/katedocument.cpp: backport from Jens Dagerbo:
	  reimplement setText/clear() of edit interface better: don't clear
	  undo and don't clear marks on setText

2003-05-17  Ellis Whitehead               

	* kdecore/kglobalaccel_x11.cpp: Fix for non-working global keypad
	  shortcuts -- see comment from 2003-04-30 in Bug #56871

2003-05-17  Waldo Bastian                 

	* kioslave/http/: http.cc, http.h: Add/fix shoutcast support.

2003-05-17  Dirk Mueller                  

	* kdecore/kshortcutlist.h, kio/kfile/kdiskfreesp.cpp,
	  kio/kfile/kfilebookmarkhandler.cpp, kio/kfile/knotifydialog.cpp,
	  kio/kfile/knotifydialog.h, kio/kio/authinfo.h,
	  kio/kio/chmodjob.h, kio/kio/connection.h, kio/kio/davjob.h,
	  kio/kio/global.h, kio/kio/job.cpp, kio/kio/jobclasses.h,
	  kio/kio/kfilemetainfo.cpp, kio/kio/krun.h,
	  kio/kio/kurlcompletion.cpp, kio/kio/metainfojob.h,
	  kio/kio/netaccess.h, kio/kio/observer.h, kio/kio/passdlg.h,
	  kio/kio/previewjob.h, kio/kio/scheduler.h, kio/kio/sessiondata.h,
	  kio/kio/skipdlg.h, kio/kio/slave.h, kio/kio/slavebase.cpp,
	  kio/kio/slavebase.h, kio/kio/slaveconfig.h,
	  kio/kio/slaveinterface.h, kio/kpasswdserver/kpasswdserver.cpp,
	  kio/misc/uiserver.h, kio/misc/kpac/kpac_downloader.h,
	  kio/misc/kpac/kpac_impl.cpp, kio/misc/kpac/kpac_impl.h,
	  kio/misc/kpac/kproxybindings.h, kjs/array_object.h,
	  kjs/array_object.lut.h, kjs/bool_object.h, kjs/collector.cpp,
	  kjs/collector.h, kjs/create_hash_table, kjs/date_object.h,
	  kjs/date_object.lut.h, kjs/debugger.h, kjs/error_object.h,
	  kjs/function.h, kjs/function_object.h, kjs/internal.cpp,
	  kjs/internal.h, kjs/interpreter.h, kjs/lexer.h, kjs/lexer.lut.h,
	  kjs/lookup.h, kjs/math_object.h, kjs/math_object.lut.h,
	  kjs/nodes.h, kjs/nodes2string.cpp, kjs/number_object.h,
	  kjs/number_object.lut.h, kjs/object.h, kjs/object_object.h,
	  kjs/operations.h, kjs/property_map.h, kjs/regexp.h,
	  kjs/regexp_object.h, kjs/string_object.h,
	  kjs/string_object.lut.h, kjs/types.h, kjs/ustring.cpp,
	  kjs/ustring.h, kjs/value.cpp, kjs/value.h, kdeui/kstdaction.cpp,
	  kdeui/kstdaction.h, kdeui/kxmlguifactory.h: fix some compiler
	  warnings

2003-05-17  Dirk Mueller                  

	* kio/bookmarks/kbookmarkdrag.cc: whoops

2003-05-17  Dirk Mueller                  

	* kio/bookmarks/kbookmarkdrag.cc: fix valgrind error (backport)

2003-05-17  Dirk Mueller                  

	* kdecore/: kdeversion.h, klibloader.cpp, knotifyclient.h,
	  kstdaccel.h: fix compiler warnings

2003-05-17  Dirk Mueller                  

	* kdecore/ksortablevaluelist.h: fix compilation

2003-05-17  Dirk Mueller                  

	* admin/acinclude.m4.in: removing invalid CXX flag

2003-05-17  Dirk Mueller                  

	* khtml/html/html_formimpl.cpp: make textareas use monospace font
	  by default

2003-05-16  Michael Matz                  

	* admin/libtool.m4.in: Backport the arm thing.

2003-05-15  Michael Goffioul              

	* kio/magic: Added TNEF magic number (backport)

2003-05-14  Waldo Bastian                 

	* kdeui/: keditcl.h, keditcl1.cpp: Unbreak DND

2003-05-14  Stephan Kulow                 

	* kabc/: ldapclient.cpp, vcardformatimpl.cpp: backported QCString
	  termination fixes

2003-05-13  Laurent Montel                

	* kdeui/: ktip.cpp, ktip.h: Backport fix #55652

2003-05-13  George Staikos                

	* kdeui/kxmlguifactory.cpp: don't crash

2003-05-13  Stephan Kulow                 

	* admin/am_edit: adding mocs target

2003-05-13  Stephan Kulow                 

	* khtml/khtml_part.cpp, kparts/browserextension.cpp,
	  kparts/browserextension.h: backporting the fix for #55163 (after
	  verifying it also fixes some weired webmin redirection problem)

2003-05-12  Stephan Kulow                 

	* kdeprint/filters/enscript.desktop: backporting correction of
	  mimetypes

2003-05-11  Dawit Alemayehu               

	* kioslave/http/kcookiejar/kcookiejar.cpp: Backport fix for bug#
	  57891 and mark webdavs cookies as secure as well. (DA)

2003-05-10  Diego Iastrubni               

	* kate/part/kateviewinternal.cpp: Fix the look of kate in RTL
	  desktops: leftBorder, m_columnScroll, m_lineLayout will always be
	  on the left side of the window. Until now kate displayed them on
	  the right (the code folders looked reversed too, to the right and
	  not left). Since kate cannot BIDI it looks good now... Should be
	  fixed differently in head.

2003-05-10  Waldo Bastian                 

	* kio/kfile/: kpropertiesdialog.cpp, kdiskfreesp.cpp: Fix handling
	  of mountpoints with spaces (BR45274)

2003-05-10  Stephan Binner                

	* pics/crystalsvg/: cr16-action-fork.png, cr22-action-fork.png: cp
	  cr16-action-launch.png cr16-action-fork.png cp
	  cr22-action-launch.png cr22-action-fork.png

2003-05-10  Waldo Bastian                 

	* kio/kio/krun.cpp: KIOSK: Temp services should not be affected by
	  run_desktop_files

2003-05-10  Dirk Mueller                  

	* admin/am_edit: praise the difference (backport revision 1.367)

2003-05-10  Dirk Mueller                  

	* admin/cvs.sh: unbreak kde-i18n tarballs

2003-05-09  Waldo Bastian                 

	* kdecore/kdesktopfile.cpp: Make run_desktop_files work properly
	  with files in $KDEDIR/share/kdesktop/Desktop

2003-05-09  Stephan Kulow                 

	* admin/cvs.sh: sort the configure.files content as in HEAD

2003-05-08  Waldo Bastian                 

	* kdecore/kicontheme.cpp: Skip invalid theme directories.

2003-05-08  Waldo Bastian                 

	* pics/crystalsvg/index.desktop: Fix Directories entry (Removed
	  empty item from list)

2003-05-08  David Faure                   

	* kioslave/http/kcookiejar/main.cpp: backport fix for kcookiejar
	  --remove <domain>

